#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    long long n,c,mn,mx,g;
    cin >> n >> c;
    mn=c;
    mx=c;
    for (int i=0;i<n;i++)
    {
        cin >> g;
        if(g>mx)
            mx=g;
        else if(g<mn)
            mn=g;
    }
    cout << abs(c-mn)+abs(c-mx)+min(abs(c-mn),abs(c-mx));
}